#ifndef	CUEBEADDON_H
#define	CUEBEADDON_H

#include <Message.h>
#include <String.h>
#include <SupportDefs.h>

class CueBeAddon {
public:
						CueBeAddon();
	virtual				~CueBeAddon();
	
	virtual	status_t	InitCheck();
	virtual status_t	InitCheck(uint32 major_version, uint32 minor_version);
			// default just calls InitCheck()
			// should return	B_ERROR on error,
			//					B_OK if everything is OK
			//					B_MISMATCHED_VALUES if the version is incompatible

	virtual	status_t	Control(uint32 command, BMessage *message);

//	virtual	status_t	CatScan(BString* barcode);
	virtual status_t	CatScan(BMessage* scan_message);
			// addon owns scan_message!!

};

extern "C" _EXPORT CueBeAddon* instantiate_cuebe_addon();

#endif	/* CUEBEADDON_H */