#include <syslog.h>

#include "CueBeAddon.h"

class SampleCueBeAddon: public CueBeAddon
{
public:
				SampleCueBeAddon();

	status_t	CatScan(BMessage* catscan);
};

CueBeAddon* instantiate_cuebe_addon()
	{return (new SampleCueBeAddon());}

SampleCueBeAddon::SampleCueBeAddon()
{ /* empty constructor */ }

status_t
SampleCueBeAddon::CatScan(BMessage* catscan)
{
	BString barcode;
	catscan->FindString("barcode", &barcode);
	syslog(LOG_DEBUG, "SampleCueBeAddon::CatScan: '%s'", barcode.String());
	delete catscan;
	return B_OK;
}