#include "SampleApp.h"

int main(int, char**)
{	
	SampleApp	myApplication;

	myApplication.Run();

	return(0);
}

SampleApp::SampleApp()
		  : BApplication("application/x-vnd.danmoore-SampleCueBeApp")
{
	BInputDevice* cc = find_input_device(CUEBE_DEVICE_NAME);
	BMessage* me;
	
	if (cc != NULL) {
		me = new BMessage(CUEBE_SUBSCRIBE);

		me->AddMessenger("messenger", be_app_messenger);

		cc->Control(CUEBE_SUBSCRIBE, me);

		delete me;
		} else {
		printf("CueBe device '%s' not found -- quitting...\n", CUEBE_DEVICE_NAME);
		PostMessage(B_QUIT_REQUESTED);
		}
}

void
SampleApp::MessageReceived(BMessage* message)
{
	BString* code = new BString();

	switch (message->what) {
		case CUEBE_CATSCAN:
			message->FindString("barcode", code);
			printf("%s\n", code->String());
			break;
		case CUEBE_UNLOADING:
			this->Quit();
			break;
		}

}